<template>
  <div class="info">
    <div class="box">
      <el-checkbox
        v-model="prodChecked"
        @change="prodCheckChanged"
        class="checkbox"
        >待检验产品</el-checkbox
      >
    </div>
  </div>
</template>

<script>
export default {
  name: "otgProductInfo",
  data() {
    return {
      prodChecked: true,
      sampleChecked: true,
    };
  },
  methods: {
    prodCheckChanged() {
      if (this.prodChecked) {
        this.$emit("addLayer");
      } else {
        this.$emit("removeLayer");
      }
    },
  },
};
</script>

<style scoped>
.info {
  position: absolute;
  /* left: 10px; */
  right: 10px;
  bottom: 10px;
  background-color: transparent;
  z-index: 2;
  border-radius: 4px;
}
.iconbox div {
  border-radius: 5px;
}
.box {
  background-color: white;
  margin-left: 3px;
  border-radius: 5px;
  align-items: center;
  padding: 10px 15px;
}
</style>
